aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2019-10-15 01:22:57 +0200
committerManuel Rüger <mrueg@gentoo.org>2019-10-15 17:02:36 +0200
commita934cafcf928b9e8cf2aaf749dca68fa6fa689d7 (patch)
tree25c8d36cbcbff88eedfff9d7fef9169fb77c8779 /runtests
parentChildWatcherTestCase: python3.8 compat (diff)
downloadportage-a934cafcf928b9e8cf2aaf749dca68fa6fa689d7.tar.gz
portage-a934cafcf928b9e8cf2aaf749dca68fa6fa689d7.tar.bz2
portage-a934cafcf928b9e8cf2aaf749dca68fa6fa689d7.zip
Add python-3.8, drop python-3.4 from testing
Signed-off-by: Manuel Rüger <mrueg@gentoo.org>
Diffstat (limited to 'runtests')
-rwxr-xr-xruntests6
1 files changed, 3 insertions, 3 deletions
diff --git a/runtests b/runtests
index 7c3ebb1ca..50d7b8251 100755
--- a/runtests
+++ b/runtests
@@ -24,14 +24,14 @@ import tempfile
# These are the versions we fully support and require to pass tests.
PYTHON_SUPPORTED_VERSIONS = [
'2.7',
- '3.4',
'3.5',
- '3.6'
+ '3.6',
+ '3.7'
]
# The rest are just "nice to have".
PYTHON_NICE_VERSIONS = [
'pypy',
- '3.7'
+ '3.8'
]
EPREFIX = os.environ.get('PORTAGE_OVERRIDE_EPREFIX', '/')